Subject: vfork: not owner
From: [email-masked] (JP Shipherd)

12 Apr 1997 19:50:57 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
X-Sender: [email-masked]
X-Mailer: Windows Eudora Pro Version 3.0 (32)
Original-To: [email-masked]
Original-Sender: [email-masked]

I'm getting a strange make error.  I've got a project with multiple
modules.  Each module has it's own subdirectory with a src and possibly obj
and bin directories under it.  The entire source in all on one local disk
on my NT machine.

Most modules compile just fine.  If the obj directory does not exist, make
will go out and create it before building objects.  However on one
particular directory I get a vfork: not owner error.

Here's a snippet of make -d output :

        Considering target file `../obj/win32/.DIR_CREATED'.
         File `../obj/win32/.DIR_CREATED' does not exist.
         Finished dependencies of target file `../obj/win32/.DIR_CREATED'.
        Must remake target `../obj/win32/.DIR_CREATED'.
mkdir -p `dirname ../obj/win32/.DIR_CREATED`
make: vfork: Not owner
        Failed to remake target file `../obj/win32/.DIR_CREATED'.
       Finished dependencies of target file `../obj/win32/scoring.o'.
      Giving up on target file `../obj/win32/scoring.o'.

Here's something similar in the a sister directory where it works fine:

        Considering target file `../obj/win32/.DIR_CREATED'.
         File `../obj/win32/.DIR_CREATED' does not exist.
         Finished dependencies of target file `../obj/win32/.DIR_CREATED'.
        Must remake target `../obj/win32/.DIR_CREATED'.
mkdir -p `dirname ../obj/win32/.DIR_CREATED`
Putting child 0x02eacbc4 PID 09967 on the chain.
Live child 0x02eacbc4 PID 9967
Reaping winning child 0x02eacbc4 PID 9967
touch ../obj/win32/.DIR_CREATED
Live child 0x02eacbc4 PID 9969
Reaping winning child 0x02eacbc4 PID 9969
Removing child 0x02eacbc4 PID 9969 from chain.
        Successfully remade target file `../obj/win32/.DIR_CREATED'.
        Considering target file `genaudio.c'.

Does anyone know what that vfork message is about?  Why would it work on
one directory and not the other?

Thanks,
--jp
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".